# FC-3/FC-4 version

Name:		xkeycaps
Summary: 	Graphical front end to xmodmap
Version:	2.46
Release:	3%{?dist}
License:	BSD-ish
Group:		Applications/System
Source0:	http://www.jwz.org/xkeycaps/%{name}-%{version}.tar.Z
Source1:	xkeycaps.desktop
Source2:	xkeycaps.png
URL:		http://www.jwz.org/xkeycaps/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	xorg-x11-devel, xorg-x11-deprecated-libs-devel
BuildRequires:	desktop-file-utils

%description
xkeycaps is a graphical front-end to xmodmap. It opens a window that 
looks like a keyboard; moving the mouse over a key shows what KeySyms 
and Modifier bits that key generates. Clicking on a key simulates 
KeyPress/KeyRelease events on the window of your choice. It is possible 
to change the KeySyms and Modifiers generated by a key through a 
mouse-based interface. This program can also write an input file for 
xmodmap to recreate your changes in future sessions.

%prep
%setup -q 

%build
/usr/X11R6/bin/xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m0644 xkeycaps.man $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README sgi-microsoft.txt
/usr/X11R6/bin/xkeycaps
%{_datadir}/applications/fedora-xkeycaps.desktop
%{_datadir}/pixmaps/xkeycaps.png
%{_mandir}/man1/*

%changelog
* Mon Jan 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-3
- fix FC-3/FC-4

* Mon Jan 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-2
- add missing BR
- fix missing desktop file

* Thu Dec 15 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.46-1
- Initial package for Fedora Extras
